require 'spec_helper'

describe Stype do
  context "for SURI" do
    it "with good uri" do
      expect(Stype::SURI.parse("http://www.example.com/jj")).to eq(URI.parse("http://www.example.com/jj"))
    end

    it "with bad uri" do
      expect(Stype::SURI.parse("www.example.com/jj")).to eq(nil)
    end
  end
end
