# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stype/version'

Gem::Specification.new do |spec|
  spec.name          = "stype"
  spec.version       = Stype::VERSION
  spec.authors       = ["Hiveer"]
  spec.email         = ["ljp.hiveer@gmail.com"]
  spec.summary       = %q{The methods for different String content.}
  spec.description   = %q{String is String, but the content is different. Sometimes we need to distinguish them.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
